{% extends "base.html" %} {% load static %}

{% block internal_css %}
<link rel="stylesheet" href="{% static 'css/detail.css' %}">
<link rel="stylesheet" href="{% static 'css/table.css' %}">
{% endblock %}
{% block external_js %}
      <script src="https://cdn.jsdelivr.net/npm/js-cookie@2/src/js.cookie.min.js"></script>
  {% endblock %}
{% block internal_js %}
<script src="{% static 'js/edit.min.js' %}"></script>
{% endblock %}
{% block content %}
    <!-- <input type="button" onclick="" value="Edit" id="btn-edit" class="btn btn--edit">
<input type="button" onclick="" value="Apply Changes" id="btn-apply" class="btn btn--edit"> -->
<div class="card description mb-5">
  <h3 class="card-header">Biosample summary for {{ biosample.biosample_id }}</h3>
  <div class="card-body two_col">
    <p>
        <label> Biosample type: </label><span> {{ biosample.biosample_type }}</span>
        <input type="text" class="editable" name="biosample_sample_type" value="">
    </p>
    <p>
        <label> Lab: </label><span> {{ biosample.biosample_lab }}</span>
        <input type="text" class="editable" name="biosample_lab" value="">
    </p>
    {% if biosample.source %}
    <p>
        <label> Source: </label><span> {{ biosample.source }}</span>
        <input type="text" class="editable" name="biosample_source" value="">
    </p>
    {% endif %}
    <p>
        <label> Genetic background: </label><span> {{ biosample.genetic_background }}</span>
        <input type="text" class="editable" name="biosample_genetic_background" value="">
    </p>
    {% if biosample.description %}
    <p>
        <label> Description: </label><span> {{ biosample.description }}</span>
        <input type="text" class="editable" name="biosample_description" value="">
    </p>
    {% endif %} {% if biosample.stage %}
    <p>
        <label> Stage: </label><span> {{ biosample.stage }}</span>
        <input type="text" class="editable" name="biosample_developmental_stage" value="">
    </p>
    {% endif %} {% if biosample.hours_post_fertilization %}
    <p>
        <label> Hours Post-fertilization: </label><span> {{ biosample.post_fertilization }}</span>
        <input type="text" class="editable" name="biosample_post_fertilization" value="">
    </p>
    {% endif %} {% if biosample.anatomical_term %}
    <p>
        <label> Anatomical Term: </label><span> {{ biosample.anatomical_term }}</span>
        <input type="text" class="editable" name="biosample_anatomical_term" value="">
    </p>
    {% endif %} {% if biosample.treatment %}
    <p>
        <label> Treatment: </label><span> {{ biosample.treatment }}</span>
        <input type="text" class="editable" name="biosample_treatment" value="">
    </p>
    {% endif %} {% if biosample.sex %}
    <p>
        <label> Sex: </label><span> {{ biosample.sex }}</span>
        <input type="text" class="editable" name="biosample_sex" value="">
    </p>
    {% endif %} {% if biosample.mutation_description %}
    <p>
        <label> Mutation Description: </label><span> {{ biosample.mutation_description }}</span>
        <input type="text" class="editable" name="biosample_mutation_description" value="">
    </p>
    {% endif %} {% if biosample.cell_line_type %}
    <p>
        <label> Cell Line Type: </label><span> {{ biosample.cell_line_type }}</span>
        <input type="text" class="editable" name="biosample_cell_line_type" value="">
    </p>
    {% endif %}
    {% if biosample.controlled_by %}
    <p>
        <label> Controlled by: </label><a href="/dcc/detailBiosample/{{ biosample.controlled_by_id }}"> {{ biosample.controlled_by.biosample }}</a>
    </p>
    {% endif %}
    <p>
        <label> Added by: </label><span> {{ biosample.user }}</span>
    </p>
    <p>
        <label> Added on: </label><span> {{ biosample.date_added }}</span>
    </p>
    <p>
        <label> Last edit: </label><span> {{ biosample.date_edited }}</span>
    </p>
    <p>
        <label>Part of Series:</label><span><a href="/dcc/detailSeries/{{ biosample.series.pk }}"> {{ biosample.series.series_id }}</a></span>
    </p>
  </div>

</div>

<div class="card">
  <h3 class="card-header">Assays for Biosample {{ biosample.biosample_id }}</h3>
    <div class="card-body assay_item">
        {% regroup assays by assay_type as assay_group %} {% for assay in assay_group %}
        <h4>{{ assay.grouper }}</h4>
        <ul>
            {% for item in assay.list %}
            <li><a href="/dcc/detailAssay/{{ item.pk }}" data-toggle="tooltip" data-placement="bottom" title="{{item.description}}">{{ item.assay_id }}</a></li>
            {% endfor %}
        </ul>
        {% endfor %}
    </div>


</div>


{% endblock %}
